package org.appfuse.service;

import java.util.Random;

import org.appfuse.model.User;

import org.jmock.core.Invocation;
import org.jmock.core.Stub;

public class AssignIdStub implements Stub {

    public StringBuffer describeTo(StringBuffer buffer) {
        return buffer.append("assigns random id to an object");
    }

    public Object invoke(Invocation invocation) throws Throwable {
        Long id = new Long(new Random().nextInt(10));
        ((User) invocation.parameterValues.get(0)).setId(id);

        return null;
    }
}
